# DataExchange
TKXSBase
Transfer

# Transfer_DataMapOfTransientTransient Class Reference

`#include <Transfer_DataMapOfTransientTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Transfer_DataMapOfTransientTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT Transfer_DataMapOfTransientTransient & | Assign (const Transfer_DataMapOfTransientTransient &Other)
Transfer_DataMapOfTransientTransient & | operator= (const Transfer_DataMapOfTransientTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Transfer_DataMapOfTransientTransient ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Transient)&K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Transient)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Transient)&K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const Handle(Standard_Transient)&K) const
const Handle_Standard_Transient & | operator() (const Handle(Standard_Transient)&K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const Handle(Standard_Transient)&K)
Handle_Standard_Transient & | operator() (const Handle(Standard_Transient)&K)

## Private Member Functions

Standard_EXPORT | Transfer_DataMapOfTransientTransient (const Transfer_DataMapOfTransientTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_DataMapOfTransientTransient::Transfer_DataMapOfTransientTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

Transfer_DataMapOfTransientTransient::~Transfer_DataMapOfTransientTransient | ( |  | ) | `[inline]`

Standard_EXPORT Transfer_DataMapOfTransientTransient::Transfer_DataMapOfTransientTransient | ( | const Transfer_DataMapOfTransientTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Transfer_DataMapOfTransientTransient& Transfer_DataMapOfTransientTransient::Assign | ( | const Transfer_DataMapOfTransientTransient & | Other | ) |

Standard_EXPORT Standard_Boolean Transfer_DataMapOfTransientTransient::Bind | ( | const Handle(Standard_Transient)& | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& Transfer_DataMapOfTransientTransient::ChangeFind | ( | const Handle(Standard_Transient)& | K | ) |

Standard_EXPORT void Transfer_DataMapOfTransientTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& Transfer_DataMapOfTransientTransient::Find | ( | const Handle(Standard_Transient)& | K | ) | const

Standard_EXPORT Standard_Boolean Transfer_DataMapOfTransientTransient::IsBound | ( | const Handle(Standard_Transient)& | K | ) | const

void Transfer_DataMapOfTransientTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Transfer_DataMapOfTransientTransient::operator new | ( | size_t | size | ) | `[inline]`

void* Transfer_DataMapOfTransientTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& Transfer_DataMapOfTransientTransient::operator() | ( | const Handle(Standard_Transient)& | K | ) | `[inline]`

const Handle_Standard_Transient& Transfer_DataMapOfTransientTransient::operator() | ( | const Handle(Standard_Transient)& | K | ) | const`[inline]`

Transfer_DataMapOfTransientTransient& Transfer_DataMapOfTransientTransient::operator= | ( | const Transfer_DataMapOfTransientTransient & | Other | ) | `[inline]`

Standard_EXPORT void Transfer_DataMapOfTransientTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Transfer_DataMapOfTransientTransient::UnBind | ( | const Handle(Standard_Transient)& | K | ) |

The documentation for this class was generated from the following file:

- Transfer_DataMapOfTransientTransient.hxx